Page MenuHomePhabricator

decommission snapshot1002, 1003, 1004
Closed, ResolvedPublic

Description

These hosts can be given back as spares as soon as they are decommissioned.


  • ensure all services are no longer in use
  • DNS: Remove production entries
  • removed from monitoring/icinga/puppetdb
  • powered off
  • pulled from all puppet files
  • puppet and salt keys revoked
  • switch ports disabled & descriptions removed
  • System: SSDs removed and/or HDDs wiped
  • Documentation: Update unracked/decommissioned racktables and update/decommission sheet update
  • System: system unracked and placed in storage
  • switch port config removed
  • DNS: Remove management VLAN entries

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 1 2016, 12:01 PM
Peachey88 updated the task description. (Show Details)Aug 1 2016, 12:19 PM

These hosts have been shut off and their puppet certs, storedconfigs and their salt keys removed. Handing off to dc-tech folks.

ArielGlenn updated the task description. (Show Details)Aug 1 2016, 12:27 PM
ArielGlenn edited projects, added ops-eqiad; removed Datasets-General-or-Unknown.
Restricted Application added a subscriber: Southparkfan. · View Herald TranscriptAug 1 2016, 12:27 PM

Polite nag :-)

Change 314541 had a related patch set uploaded (by Cmjohnson):
Removing dns entries for snapshot 1002/3/4 T141762

https://gerrit.wikimedia.org/r/314541

Change 314541 merged by Cmjohnson:
Removing dns entries for snapshot 1002/3/4 T141762

https://gerrit.wikimedia.org/r/314541

Cmjohnson updated the task description. (Show Details)Oct 6 2016, 12:39 PM
Cmjohnson closed this task as Resolved.Oct 13 2016, 5:09 PM
Cmjohnson updated the task description. (Show Details)